//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "mladen"
#property link      "www.forex-tsd.com"
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  DeepSkyBlue
#property indicator_color2  PaleVioletRed

//
//
//
//
//

extern int MMPeriod  = 15;
extern int HighPrice = PRICE_HIGH;
extern int LowPrice  = PRICE_LOW;

double buffHi[];
double buffLo[];
double priceHi[];
double priceLo[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   IndicatorBuffers(4);
   SetIndexBuffer(0, buffHi); 
   SetIndexBuffer(1, buffLo); 
   SetIndexBuffer(2, priceHi); 
   SetIndexBuffer(3, priceLo); 
   return(0);
}
int deinit()
{
   return(0);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         
   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--)
   {
      priceHi[i] = iMA(NULL,0,1,0,MODE_SMA,HighPrice,i);
      priceLo[i] = iMA(NULL,0,1,0,MODE_SMA,LowPrice ,i);
         buffHi[i] = priceHi[ArrayMaximum(priceHi,MMPeriod,i)];
         buffLo[i] = priceLo[ArrayMinimum(priceLo,MMPeriod,i)];
   }
   return(0);
}